List customers for company
GET https://api.weav.com/v1/companies/{id}/customers
Requires a token with the external-api:read or external-api:write ability.
Path parameters
idstringrequiredFormat: uuid.
Query parameters
per_pageintegerDefault: 15Minimum: 1.
Maximum: 100.
pageintegerDefault: 1Minimum: 1.
Request
cURL
curl --request GET \
--url 'https://api.weav.com/v1/companies/{id}/customers' \
--header "Authorization: Bearer ${WEAV_API_TOKEN}"
JavaScript
const response = await fetch("https://api.weav.com/v1/companies/{id}/customers", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.WEAV_API_TOKEN}`
}
});
console.log(await response.json());
Python
import os
import requests
headers = {"Authorization": f"Bearer {os.environ['WEAV_API_TOKEN']}"}
response = requests.get("https://api.weav.com/v1/companies/{id}/customers", headers=headers)
print(response.json())
PHP
use GuzzleHttp\Client;
$client = new Client();
$response = $client->request('GET', 'https://api.weav.com/v1/companies/{id}/customers', [
'headers' => ['Authorization' => 'Bearer '.getenv('WEAV_API_TOKEN')],
]);
echo $response->getBody();
Response
200 OK
{
"data": [
{
"id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
"first_name": "John",
"last_name": "Doe",
"email": "john@example.com",
"phone": "string",
"locale": "en",
"country": "string",
"region": "string",
"city": "string",
"timezone": "string",
"language": "string",
"company_id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
"avatar_url": "https://example.com",
"first_seen_at": "2026-01-01T00:00:00Z",
"last_seen_at": "2026-01-01T00:00:00Z",
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-01T00:00:00Z"
}
]
}
404Not Found401Unauthorized
Response fields
idstringFormat: uuid.
first_namestring | nulllast_namestring | nullemailstringFormat: email.
phonestring | nulllocalestring | nullcountrystring | nullregionstring | nullcitystring | nulltimezonestring | nulllanguagestring | nullcompany_idstring | nullFormat: uuid.
avatar_urlstring | nullFormat: url.
first_seen_atstring | nullFormat: date-time.
last_seen_atstring | nullFormat: date-time.
created_atstring | nullFormat: date-time.
updated_atstring | nullFormat: date-time.
